/* conf.h.  Generated automatically by configure.  */
/* -*-C-*- -- pattern to force emacs into C mode */
/*
 * General command interpreter in a window stuff Configuration
 * defines...
 *
 * Copyright 2002 by Gray Watson
 *
 * This file is part of the diskheap package.
 *
 * Permission to use, copy, modify, and distribute this software for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of Gray Watson not be used in advertising
 * or publicity pertaining to distribution of the document or software
 * without specific, written prior permission.
 *
 * Gray Watson makes no representations about the suitability of the
 * software described herein for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * The author may be contacted via http://256.com/gray/
 *
 * $Id: conf.h.in,v 1.4 2002/02/14 23:58:11 gray Exp $
 */

#ifndef __CONF_H__
#define __CONF_H__

#ifdef __cplusplus
extern "C" {
#if 0
}
#endif
#endif

/*
 * Why can't the compiler folks agree about this.  I really hate Unix
 * sometimes for its blatant disregard for anything approaching a
 * standard.
 */
#define IDENT_WORKS 1

/*
 * What is the size of the off_t type?  We pray this is 8 bytes.
 */
#define SIZEOF_OFF_T 8

/*
 * Is there an off64_t in case you are on a totally braindead system
 * which has not upgraded their OS to properly support 64-bit offsets
 * because they are a bunch of wussies.
 */
#define OFF64_T_EXISTS 0

/*
 * We basically need to determine what the maximum value that an off_t
 * can represent.  I wish that autoconf had some of these tests.
 */
#if SIZEOF_OFF_T == 8
/*
 * This is (2^62 - 1).  It is not 2^63 - 1 because some OS/compilers
 * don't use the high-bit on the low word for some reason meaning that
 * the long long is actually 63 bits long.  Strange but [I'm pretty
 * sure] true.
 */
# define OFF_T_MAX	4611686018427387903LL
#else
/*
 * This is (2^31 - 1) since we assume that it is a signed value.
 */
# define OFF_T_MAX	2147483647L
#endif

/* string functions */
#define HAVE_MEMMOVE 1
#define HAVE_STRLEN 1
#define HAVE_MEMCMP 1
#define HAVE_MEMSET 1

/*
 * Do we have the fabulous pread and pwrite functions -- thank god for
 * them.  Also, do we have their 64-bit friends pread64 and pwrite64
 * who are only for wussie operating systems without modern file
 * systems.
 */
#define HAVE_PREAD 1
#define HAVE_PWRITE 1
#define HAVE_PREAD64 0
#define HAVE_PWRITE64 0

/* random functions */
#define HAVE_RANDOM 1
#define HAVE_SRANDOM 1
#define HAVE_RAND 1
#define HAVE_SRAND 1

#define HAVE_TIME 1
#define HAVE_GETPID 1
#define HAVE_FTRUNCATE 1
#define HAVE_FSYNC 1
#define HAVE_LSEEK 1

#ifdef __cplusplus
}
#endif

#endif /* ! __CONF_H__ */
